pylint #72022 py3k installation problem [validation pending]

Track why "python3.2 setup.py install" doesn't work as expected:

byte-compiling /usr/local/lib/python3.2/dist-packages/pylint/test/input/func_unknown_encoding.py to func_unknown_encoding.pyc
Traceback (most recent call last):
 File "/usr/lib/python3.2/tokenize.py", line 304, in find_cookie
   codec = lookup(encoding)
LookupError: unknown encoding: IBO-8859-1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
 File "setup.py", line 189, in <module>
   install()
 File "setup.py", line 185, in install
   **kwargs
 File "/usr/lib/python3.2/distutils/core.py", line 150, in setup
   dist.run_commands()
 File "/usr/lib/python3.2/distutils/dist.py", line 919, in run_commands
   self.run_command(cmd)
 File "/usr/lib/python3.2/distutils/dist.py", line 938, in run_command
   cmd_obj.run()
 File "/usr/lib/python3.2/distutils/command/install.py", line 621, in run
   self.run_command(cmd_name)
 File "/usr/lib/python3.2/distutils/cmd.py", line 315, in run_command
   self.distribution.run_command(command)
 File "/usr/lib/python3.2/distutils/dist.py", line 938, in run_command
   cmd_obj.run()
 File "setup.py", line 131, in run
   install_lib.install_lib.run(self)
 File "/usr/lib/python3.2/distutils/command/install_lib.py", line 98, in run
   self.byte_compile(outfiles)
 File "/usr/lib/python3.2/distutils/command/install_lib.py", line 135, in byte_compile
   dry_run=self.dry_run)
 File "/usr/lib/python3.2/distutils/util.py", line 549, in byte_compile
   compile(file, cfile, dfile)
 File "/usr/lib/python3.2/py_compile.py", line 111, in compile
   with tokenize.open(file) as f:
 File "/usr/lib/python3.2/tokenize.py", line 344, in open
   encoding, lines = detect_encoding(buffer.readline)
 File "/usr/lib/python3.2/tokenize.py", line 324, in detect_encoding
   encoding = find_cookie(first)
 File "/usr/lib/python3.2/tokenize.py", line 307, in find_cookie
   raise SyntaxError("unknown encoding: " + encoding)
SyntaxError: unknown encoding: IBO-8859-1

(reported by Piotr Dobrogost on python-projects@lists.logilab.org)

prioritynormal
typebug
done in0.26.0
load0.000
load left0.000
closed by#55150181702e Do not include tests files for installation in setup.py. Clean setup.py for python3. Closes #72022. Closes #82417. Closes #76910.